Subject: Re: invasive plants

From: [email-masked] (Moira Carlson)
Date: Mon, 20 Mar 95 17:11:03 -0800

In article <[email-masked]>,
[email-masked] (AIRD MELANIE DAWN) writes:
>
> Msg-ID: <[email-masked]>
> Posted: 20 Mar 1995 14:33:49 GMT
>
> Org.  : St.Thomas University
>
> i'm sure someone has brought this up, but i haven't seen it in the last
> couple of weeks, so here goes.
>
> please make sure that invasive plants are either native, or containable.
>
> i'm in new brunswick (canada) and we're having a massive problem with an
> invasive plant that is not native, but is taking over huge areas.  i
> can't
> remember the name (does anyone here?), but they are tall, bright purple,
> and
> so beautiful that people are transplanting them from ditches to their
> yards.  the problem is that each of these guys produces about a million
> seeds... :(
>
> mda

I suspect that you are referring to Purple Loosestrife.  It is a real
threat (particularly to wetlands) and in most places it is now illegal to
sell it.  Unfortunately that doesn't stop people from doing what you are
talking about without understanding the dangers.

Cheers,
Moira